* {
  box-sizing: border-box;
  user-select: none;
}

li>a {
  text-decoration: none;
  color: cyan;
  text-shadow: 0px 0px 3px skyblue;
  font-size: 2vw;
}

li {
  transition: all 0.3s ease;
}

li:hover,
li:active {
  transform: translateY(-7px);
}

body {
  margin: 0;
  overflow-x: hidden !important;
}

img {
  user-select: none;
  -webkit-user-drag: none;
  pointer-events: none;
}

header {
  width: 100%;
}

div#intro {
  position: relative;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.3);
  z-index: 3;
  position: relative;
}

div#intro>h1 {
  background: linear-gradient(90deg,
      #7199E1,
      #BED6FF,
      white,
      #BED6FF,
      #7199E1,
      #BED6FF,
      white,
      #BED6FF,
      #7199E1);
  background-size: 200% 100%;

  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;

  font-size: clamp(30px, 6vmax, 500px);
  text-align: center;

  animation: glow 3.5s infinite linear, hover 4s infinite ease-in-out;
}

h2 {
  font-size: 2.2rem;
}

video {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
}

nav {
  position: fixed;
  justify-content: flex-end;
  width: 100%;
  background-color: white;
  z-index: 5;
  backdrop-filter: blur(10px);
  background-color: rgba(255, 255, 255, 0.2);
}

nav>ul {
  display: flex;
  justify-content: flex-end;
  list-style-type: none;
  margin: 0;
  align-items: center;
}

nav>ul>li {
  margin: 0;
  padding: 4px 10px;
  position: relative;
  font-size: 1.3rem;
  height: 100%;
}

.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateY(10%);
  transition: all 1s;
  transition-timing-function: ease-out;
}

.hidden-intro {
  transform: translateY(120%);
  transition-timing-function: cubic-bezier(0.55, 0.085, 0.68, 0.53);
}

.hidden-text {
  opacity: 0;
  filter: blur (2px);
  transform: translateY(40px);
  transition: all var(--delay);
  transition-timing-function: ease-in;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateY(0);
}

#intro>h3 {
  position: absolute;
  top: 25vh;
}

section.body {
  min-width: 100%;
  width: 100%;
  min-height: 100vh;
  padding-bottom: 100px !important;
}

section.body>div.text {
  width: 50vw;
}

section.body>div.text>p {
  font-size: clamp(1.5rem, 1.7vmax, 4rem);
  margin-bottom: 40px;
  font-family: Comic Sans MS;
  color: white;
  text-shadow: 0px 0px 5px rgb(40, 40, 40);
}

section.body img {
  border-radius: 15px;
  width: clamp(100px, 25vw, 500px);
  margin-bottom: 10px;
}

section#introduction-section {
  background: linear-gradient(rgb(20, 0, 150), black);
}

section#introduction-section>img {
  animation: hover 3.23s infinite ease-in-out;
}

hr {
  margin: 0;
  border: 4px outset grey;
}

h1 {
  font-size: clamp(30px, 6vw, 500px);
  text-align: center;
}

.latest-releases {
  background: linear-gradient(300deg, rgb(50, 0, 140), #112 40%);
  padding-top: 15px;
}

.latest-releases h1 {
  margin-bottom: 15px;
}

.carousel {
  width: 100vw;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  overflow: hidden;
  touch-action: pan-y;
  transition: height .5s ease;
  background: transparent;
  cursor: grab;
}

.carousel:active {
  cursor: grabbing;
}

.slides {
  display: flex;
  align-items: flex-start;
  width: 100%;
  height: 100%;
  transition: transform .5s ease;
}

.slide-dots {
  position: absolute;
  z-index: 4;
  bottom: 25px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
}

.slide-dots button {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  border: none;
  cursor: pointer;
  background-color: white;
  transition: all 0.3s ease;
}

.slide-dots button.active {
  background-color: blue;
}

svg {
  color: white !important;
  transition-duration: 300ms;
  animation-timing-function: ease-in;
}

svg:hover {
  transform: translateY(-5px);
}

button#openNav {
  width: 50px;
  position: fixed;
  top: 0;
  right: 0;
  display: none;
  z-index: 4;
  border: none;
  background: transparent;
}

button#closeNav {
  width: 50px;
  position: relative;
  display: none;
  z-index: 4;
  border: none;
  background: transparent;
}

nav.appear {
  transform: translateX(-100%);
}

footer {
  background: #111;
  color: white;
  background: url("../assets/starry-background.jpg");
  background-position: center;
  background-size: cover;
}

footer img {
  border-radius: 15px;
  margin: 20px 10px;
}

section#about-author {
  padding: 50px 30px;
}

p.abt-desc {
  margin-top: 50px;
  width: 500px;
  font-size: 1.5rem;
}

.showcase {
  margin-top: 50px;
  width: 100%;
  height: 90vh;
  justify-content: center;
}

.showcase>img {
  width: 25vw;
  margin: 0 20px;
  object-fit: cover;
}

.discover-books {
  position: absolute;
  z-index: 5;

  bottom: 55px;
  left: 50%;
  transform: translateX(-50%);

  padding: 12px 25px;

  border-radius: 30px;

  background: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(10px);

  color: white;
  text-decoration: none;

  font-size: 1.2rem;

  transition: .3s ease;
}

.discover-books:hover {
  transform: translateX(-50%) scale(1.05);
}

.hover {
  animation-timing-function: ease-out !important;
}

.hover:hover {
  transform: scale(1.3);
  transform: translateY(-10px);
}

.handles * {
  margin: 0 3px;
}

@keyframes glow {
  from {
    background-position: 100% 50%;
  }

  to {
    background-position: 0% 50%;
  }
}

@keyframes hover {

  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }
}

@media (max-width: 950px) {

  button#openNav,
  button#closeNav {
    display: block;
  }

  div.showcase {
    flex-direction: column;
    height: auto;
    align-items: center;
    justify-content: space-evenly;
  }

  div.showcase>img {
    width: 80%;
    margin: 20px;
  }

  nav {
    top: 0;
    left: 100dvw;
    width: 40vw;
    height: 100vh;
    padding: 10px;
    justify-content: flex-start;
    align-items: flex-start;
    transition-duration: 0.3s;
    transition-timing-function: ease;
  }

  nav>ul {
    flex-direction: column;
    justify-content: normal;
    align-items: flex-start;
  }

  nav>ul>li>a {
    font-size: 5vw;
  }

  section.body {
    padding-top: 60px;
    flex-direction: column;
  }

  .slide-dots {
    bottom: auto;
    top: 20px;
  }

  section#introduction-section {
    flex-direction: column-reverse;
    padding-top: 60px;
  }

  section.body>div.wrap {
    font-size: 7vw;
    text-align: center;
    width: 80%;
  }

  section.body img {
    width: 65vw;
  }

  div:has(img) {
    margin-bottom: 60px;
  }

  section#the-imagination {
    padding-top: 60px;
  }

  section#about-author>h1 {
    font-size: 50px;
  }

  section#about-author>p {
    width: 85%;
  }

  section#about-author img:first-of-type {
    width: 85%;
  }

  section#contact {
    min-height: 100dvh;
    justify-content: space-evenly;
  }
}